# Makefile.in generated by automake 1.11.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
check_PROGRAMS = test-clutk$(EXEEXT) test-clutk-perf$(EXEEXT) \
	test-clutk-text$(EXEEXT)
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/build/autotools/gtk-doc.m4 \
	$(top_srcdir)/build/autotools/introspection.m4 \
	$(top_srcdir)/build/autotools/libtool.m4 \
	$(top_srcdir)/build/autotools/ltoptions.m4 \
	$(top_srcdir)/build/autotools/ltsugar.m4 \
	$(top_srcdir)/build/autotools/ltversion.m4 \
	$(top_srcdir)/build/autotools/lt~obsolete.m4 \
	$(top_srcdir)/build/autotools/shave.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am_test_clutk_OBJECTS = test_clutk-test-actor.$(OBJEXT) \
	test_clutk-test-clutk.$(OBJEXT) test_clutk-test-dnd.$(OBJEXT) \
	test_clutk-test-em-support.$(OBJEXT) \
	test_clutk-test-effect.$(OBJEXT) \
	test_clutk-test-effect-animation.$(OBJEXT) \
	test_clutk-test-effect-context.$(OBJEXT) \
	test_clutk-test-effect-drop-shadow.$(OBJEXT) \
	test_clutk-test-layer-actor.$(OBJEXT) \
	test_clutk-test-menu.$(OBJEXT) \
	test_clutk-test-render-target.$(OBJEXT) \
	test_clutk-test-surface-blur.$(OBJEXT)
test_clutk_OBJECTS = $(am_test_clutk_OBJECTS)
am__DEPENDENCIES_1 =
test_clutk_DEPENDENCIES = $(top_builddir)/clutk/libclutk-0.3.la \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_test_clutk_perf_OBJECTS =  \
	test_clutk_perf-test-clutk-perf.$(OBJEXT)
test_clutk_perf_OBJECTS = $(am_test_clutk_perf_OBJECTS)
test_clutk_perf_DEPENDENCIES = $(top_builddir)/clutk/libclutk-0.3.la \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_test_clutk_text_OBJECTS =  \
	test_clutk_text-test-clutk-text.$(OBJEXT)
test_clutk_text_OBJECTS = $(am_test_clutk_text_OBJECTS)
test_clutk_text_DEPENDENCIES = $(top_builddir)/clutk/libclutk-0.3.la \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(test_clutk_SOURCES) $(test_clutk_perf_SOURCES) \
	$(test_clutk_text_SOURCES)
DIST_SOURCES = $(test_clutk_SOURCES) $(test_clutk_perf_SOURCES) \
	$(test_clutk_text_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_MAKEFLAGS = @AM_MAKEFLAGS@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CAIRO_CFLAGS = @CAIRO_CFLAGS@
CAIRO_LIBS = @CAIRO_LIBS@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CLUTK_LT_LDFLAGS = @CLUTK_LT_LDFLAGS@
CLUTK_LT_VERSION = @CLUTK_LT_VERSION@
CLUTK_MAJOR_VERSION = @CLUTK_MAJOR_VERSION@
CLUTK_MICRO_VERSION = @CLUTK_MICRO_VERSION@
CLUTK_MINOR_VERSION = @CLUTK_MINOR_VERSION@
CLUTK_VERSION = @CLUTK_VERSION@
CLUTTER_CFLAGS = @CLUTTER_CFLAGS@
CLUTTER_GTK_CFLAGS = @CLUTTER_GTK_CFLAGS@
CLUTTER_GTK_LIBS = @CLUTTER_GTK_LIBS@
CLUTTER_LIBS = @CLUTTER_LIBS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FC = @FC@
FGREP = @FGREP@
GCC_FLAGS = @GCC_FLAGS@
GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
GLIB_MKENUMS = @GLIB_MKENUMS@
GREP = @GREP@
GTKDOC_CHECK = @GTKDOC_CHECK@
GTKDOC_MKPDF = @GTKDOC_MKPDF@
GTKDOC_REBASE = @GTKDOC_REBASE@
GTK_CFLAGS = @GTK_CFLAGS@
GTK_LIBS = @GTK_LIBS@
HTML_DIR = @HTML_DIR@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINTAINER_CFLAGS = @MAINTAINER_CFLAGS@
MAKEFLAGS = @MAKEFLAGS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
OBJC = @OBJC@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
Q = @Q@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
V = @V@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
lt_ECHO = @lt_ECHO@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
shavedir = @shavedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
test_clutk_SOURCES = \
  test-actor.c \
  test-clutk.c \
  test-dnd.c \
  test-em-support.c \
  test-effect.c \
  test-effect-animation.c \
  test-effect-context.c \
  test-effect-drop-shadow.c \
  test-layer-actor.c \
  test-menu.c \
  test-render-target.c \
  test-surface-blur.c

test_clutk_perf_SOURCES = \
  test-clutk-perf.c

test_clutk_text_SOURCES = \
  test-clutk-text.c

test_clutk_CPPFLAGS = \
  -I$(top_srcdir) \
  -I$(top_srcdir)/clutk \
  -I$(top_builddir)/clutk \
  -DTESTDIR=\""$(top_srcdir)/tests"\" \
  $(GCC_FLAGS) \
  $(CLUTTER_CFLAGS) \
  $(CLUTTER_GTK_CFLAGS) \
  $(GTK_CFLAGS) \
  $(MAINTAINER_CFLAGS)

test_clutk_perf_CPPFLAGS = \
  -I$(top_srcdir) \
  -I$(top_srcdir)/clutk \
  -I$(top_builddir)/clutk \
  -DTESTDIR=\""$(top_srcdir)/tests"\" \
  $(GCC_FLAGS) \
  $(CLUTTER_CFLAGS) \
  $(CLUTTER_GTK_CFLAGS) \
  $(GTK_CFLAGS) \
  $(MAINTAINER_CFLAGS)

test_clutk_text_CPPFLAGS = \
  -I$(top_srcdir) \
  -I$(top_srcdir)/clutk \
  -I$(top_builddir)/clutk \
  -DTESTDIR=\""$(top_srcdir)/tests"\" \
  $(GCC_FLAGS) \
  $(CLUTTER_CFLAGS) \
  $(CLUTTER_GTK_CFLAGS) \
  $(GTK_CFLAGS) \
  $(MAINTAINER_CFLAGS)

test_clutk_LDADD = \
  $(top_builddir)/clutk/libclutk-0.3.la \
  $(CLUTTER_LIBS) \
  $(CLUTTER_GTK_LIBS) \
  $(GTK_LIBS)

test_clutk_perf_LDADD = \
  $(top_builddir)/clutk/libclutk-0.3.la \
  $(CLUTTER_LIBS) \
  $(CLUTTER_GTK_LIBS) \
  $(GTK_LIBS)

test_clutk_text_LDADD = \
  $(top_builddir)/clutk/libclutk-0.3.la \
  $(CLUTTER_LIBS) \
  $(CLUTTER_GTK_LIBS) \
  $(GTK_LIBS)

EXTRA_DIST = \
  20x20.png \
  ubuntu.svg \
  create-fps-graph.gnuplot \
  gpu \
  ogl \
  run-fps-graph.sh \
  run-perf-tests.sh


# Xvfb server stuff (thanks Ted!)
XVFB = Xvfb -ac -noreset -screen 0 800x600x16 -extension RANDR -x GLX
XIDS = 101 102 103 104 105 106 107 197 199 211 223 227 293 307 308 309 310 311 \
   491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 \
   991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 \
  1008 1009 4703 4721 4723 4729 4733 4751 9973 9974 9975 9976 9977 9978 9979 \
  9980 9981 9982 9983 9984 9985 9986 9987 9988 9989 9990 9991 9992 9993 9994 \
  9995 9996 9997 9998 9999

XVFB_START = \
	${XVFB} -help 2>/dev/null 1>&2 \
	&& XID=`for id in $(XIDS) ; do test -e /tmp/.X$$id-lock || { echo $$id; exit 0; }; done; exit 1` \
	&& { ${XVFB} :$$XID -screen 0 800x600x16 -nolisten tcp -auth /dev/null >/dev/null 2>&1 & \
	       trap "kill -15 $$! " 0 HUP INT QUIT TRAP USR1 PIPE TERM ; } \
	|| { echo "Gtk+Tests:ERROR: Failed to start Xvfb environment for X11 target tests."; exit 1; } \
	&& DISPLAY=:$$XID && export DISPLAY

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
test-clutk$(EXEEXT): $(test_clutk_OBJECTS) $(test_clutk_DEPENDENCIES) 
	@rm -f test-clutk$(EXEEXT)
	$(LINK) $(test_clutk_OBJECTS) $(test_clutk_LDADD) $(LIBS)
test-clutk-perf$(EXEEXT): $(test_clutk_perf_OBJECTS) $(test_clutk_perf_DEPENDENCIES) 
	@rm -f test-clutk-perf$(EXEEXT)
	$(LINK) $(test_clutk_perf_OBJECTS) $(test_clutk_perf_LDADD) $(LIBS)
test-clutk-text$(EXEEXT): $(test_clutk_text_OBJECTS) $(test_clutk_text_DEPENDENCIES) 
	@rm -f test-clutk-text$(EXEEXT)
	$(LINK) $(test_clutk_text_OBJECTS) $(test_clutk_text_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-actor.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-clutk.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-dnd.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-effect-animation.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-effect-context.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-effect-drop-shadow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-effect.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-em-support.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-layer-actor.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-menu.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-render-target.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk-test-surface-blur.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk_perf-test-clutk-perf.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_clutk_text-test-clutk-text.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c $<

.c.obj:
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<

test_clutk-test-actor.o: test-actor.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-actor.o -MD -MP -MF $(DEPDIR)/test_clutk-test-actor.Tpo -c -o test_clutk-test-actor.o `test -f 'test-actor.c' || echo '$(srcdir)/'`test-actor.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-actor.Tpo $(DEPDIR)/test_clutk-test-actor.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-actor.c' object='test_clutk-test-actor.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-actor.o `test -f 'test-actor.c' || echo '$(srcdir)/'`test-actor.c

test_clutk-test-actor.obj: test-actor.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-actor.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-actor.Tpo -c -o test_clutk-test-actor.obj `if test -f 'test-actor.c'; then $(CYGPATH_W) 'test-actor.c'; else $(CYGPATH_W) '$(srcdir)/test-actor.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-actor.Tpo $(DEPDIR)/test_clutk-test-actor.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-actor.c' object='test_clutk-test-actor.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-actor.obj `if test -f 'test-actor.c'; then $(CYGPATH_W) 'test-actor.c'; else $(CYGPATH_W) '$(srcdir)/test-actor.c'; fi`

test_clutk-test-clutk.o: test-clutk.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-clutk.o -MD -MP -MF $(DEPDIR)/test_clutk-test-clutk.Tpo -c -o test_clutk-test-clutk.o `test -f 'test-clutk.c' || echo '$(srcdir)/'`test-clutk.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-clutk.Tpo $(DEPDIR)/test_clutk-test-clutk.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-clutk.c' object='test_clutk-test-clutk.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-clutk.o `test -f 'test-clutk.c' || echo '$(srcdir)/'`test-clutk.c

test_clutk-test-clutk.obj: test-clutk.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-clutk.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-clutk.Tpo -c -o test_clutk-test-clutk.obj `if test -f 'test-clutk.c'; then $(CYGPATH_W) 'test-clutk.c'; else $(CYGPATH_W) '$(srcdir)/test-clutk.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-clutk.Tpo $(DEPDIR)/test_clutk-test-clutk.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-clutk.c' object='test_clutk-test-clutk.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-clutk.obj `if test -f 'test-clutk.c'; then $(CYGPATH_W) 'test-clutk.c'; else $(CYGPATH_W) '$(srcdir)/test-clutk.c'; fi`

test_clutk-test-dnd.o: test-dnd.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-dnd.o -MD -MP -MF $(DEPDIR)/test_clutk-test-dnd.Tpo -c -o test_clutk-test-dnd.o `test -f 'test-dnd.c' || echo '$(srcdir)/'`test-dnd.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-dnd.Tpo $(DEPDIR)/test_clutk-test-dnd.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-dnd.c' object='test_clutk-test-dnd.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-dnd.o `test -f 'test-dnd.c' || echo '$(srcdir)/'`test-dnd.c

test_clutk-test-dnd.obj: test-dnd.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-dnd.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-dnd.Tpo -c -o test_clutk-test-dnd.obj `if test -f 'test-dnd.c'; then $(CYGPATH_W) 'test-dnd.c'; else $(CYGPATH_W) '$(srcdir)/test-dnd.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-dnd.Tpo $(DEPDIR)/test_clutk-test-dnd.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-dnd.c' object='test_clutk-test-dnd.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-dnd.obj `if test -f 'test-dnd.c'; then $(CYGPATH_W) 'test-dnd.c'; else $(CYGPATH_W) '$(srcdir)/test-dnd.c'; fi`

test_clutk-test-em-support.o: test-em-support.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-em-support.o -MD -MP -MF $(DEPDIR)/test_clutk-test-em-support.Tpo -c -o test_clutk-test-em-support.o `test -f 'test-em-support.c' || echo '$(srcdir)/'`test-em-support.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-em-support.Tpo $(DEPDIR)/test_clutk-test-em-support.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-em-support.c' object='test_clutk-test-em-support.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-em-support.o `test -f 'test-em-support.c' || echo '$(srcdir)/'`test-em-support.c

test_clutk-test-em-support.obj: test-em-support.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-em-support.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-em-support.Tpo -c -o test_clutk-test-em-support.obj `if test -f 'test-em-support.c'; then $(CYGPATH_W) 'test-em-support.c'; else $(CYGPATH_W) '$(srcdir)/test-em-support.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-em-support.Tpo $(DEPDIR)/test_clutk-test-em-support.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-em-support.c' object='test_clutk-test-em-support.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-em-support.obj `if test -f 'test-em-support.c'; then $(CYGPATH_W) 'test-em-support.c'; else $(CYGPATH_W) '$(srcdir)/test-em-support.c'; fi`

test_clutk-test-effect.o: test-effect.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-effect.o -MD -MP -MF $(DEPDIR)/test_clutk-test-effect.Tpo -c -o test_clutk-test-effect.o `test -f 'test-effect.c' || echo '$(srcdir)/'`test-effect.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-effect.Tpo $(DEPDIR)/test_clutk-test-effect.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-effect.c' object='test_clutk-test-effect.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-effect.o `test -f 'test-effect.c' || echo '$(srcdir)/'`test-effect.c

test_clutk-test-effect.obj: test-effect.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-effect.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-effect.Tpo -c -o test_clutk-test-effect.obj `if test -f 'test-effect.c'; then $(CYGPATH_W) 'test-effect.c'; else $(CYGPATH_W) '$(srcdir)/test-effect.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-effect.Tpo $(DEPDIR)/test_clutk-test-effect.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-effect.c' object='test_clutk-test-effect.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-effect.obj `if test -f 'test-effect.c'; then $(CYGPATH_W) 'test-effect.c'; else $(CYGPATH_W) '$(srcdir)/test-effect.c'; fi`

test_clutk-test-effect-animation.o: test-effect-animation.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-effect-animation.o -MD -MP -MF $(DEPDIR)/test_clutk-test-effect-animation.Tpo -c -o test_clutk-test-effect-animation.o `test -f 'test-effect-animation.c' || echo '$(srcdir)/'`test-effect-animation.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-effect-animation.Tpo $(DEPDIR)/test_clutk-test-effect-animation.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-effect-animation.c' object='test_clutk-test-effect-animation.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-effect-animation.o `test -f 'test-effect-animation.c' || echo '$(srcdir)/'`test-effect-animation.c

test_clutk-test-effect-animation.obj: test-effect-animation.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-effect-animation.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-effect-animation.Tpo -c -o test_clutk-test-effect-animation.obj `if test -f 'test-effect-animation.c'; then $(CYGPATH_W) 'test-effect-animation.c'; else $(CYGPATH_W) '$(srcdir)/test-effect-animation.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-effect-animation.Tpo $(DEPDIR)/test_clutk-test-effect-animation.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-effect-animation.c' object='test_clutk-test-effect-animation.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-effect-animation.obj `if test -f 'test-effect-animation.c'; then $(CYGPATH_W) 'test-effect-animation.c'; else $(CYGPATH_W) '$(srcdir)/test-effect-animation.c'; fi`

test_clutk-test-effect-context.o: test-effect-context.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-effect-context.o -MD -MP -MF $(DEPDIR)/test_clutk-test-effect-context.Tpo -c -o test_clutk-test-effect-context.o `test -f 'test-effect-context.c' || echo '$(srcdir)/'`test-effect-context.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-effect-context.Tpo $(DEPDIR)/test_clutk-test-effect-context.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-effect-context.c' object='test_clutk-test-effect-context.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-effect-context.o `test -f 'test-effect-context.c' || echo '$(srcdir)/'`test-effect-context.c

test_clutk-test-effect-context.obj: test-effect-context.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-effect-context.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-effect-context.Tpo -c -o test_clutk-test-effect-context.obj `if test -f 'test-effect-context.c'; then $(CYGPATH_W) 'test-effect-context.c'; else $(CYGPATH_W) '$(srcdir)/test-effect-context.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-effect-context.Tpo $(DEPDIR)/test_clutk-test-effect-context.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-effect-context.c' object='test_clutk-test-effect-context.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-effect-context.obj `if test -f 'test-effect-context.c'; then $(CYGPATH_W) 'test-effect-context.c'; else $(CYGPATH_W) '$(srcdir)/test-effect-context.c'; fi`

test_clutk-test-effect-drop-shadow.o: test-effect-drop-shadow.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-effect-drop-shadow.o -MD -MP -MF $(DEPDIR)/test_clutk-test-effect-drop-shadow.Tpo -c -o test_clutk-test-effect-drop-shadow.o `test -f 'test-effect-drop-shadow.c' || echo '$(srcdir)/'`test-effect-drop-shadow.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-effect-drop-shadow.Tpo $(DEPDIR)/test_clutk-test-effect-drop-shadow.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-effect-drop-shadow.c' object='test_clutk-test-effect-drop-shadow.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-effect-drop-shadow.o `test -f 'test-effect-drop-shadow.c' || echo '$(srcdir)/'`test-effect-drop-shadow.c

test_clutk-test-effect-drop-shadow.obj: test-effect-drop-shadow.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-effect-drop-shadow.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-effect-drop-shadow.Tpo -c -o test_clutk-test-effect-drop-shadow.obj `if test -f 'test-effect-drop-shadow.c'; then $(CYGPATH_W) 'test-effect-drop-shadow.c'; else $(CYGPATH_W) '$(srcdir)/test-effect-drop-shadow.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-effect-drop-shadow.Tpo $(DEPDIR)/test_clutk-test-effect-drop-shadow.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-effect-drop-shadow.c' object='test_clutk-test-effect-drop-shadow.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-effect-drop-shadow.obj `if test -f 'test-effect-drop-shadow.c'; then $(CYGPATH_W) 'test-effect-drop-shadow.c'; else $(CYGPATH_W) '$(srcdir)/test-effect-drop-shadow.c'; fi`

test_clutk-test-layer-actor.o: test-layer-actor.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-layer-actor.o -MD -MP -MF $(DEPDIR)/test_clutk-test-layer-actor.Tpo -c -o test_clutk-test-layer-actor.o `test -f 'test-layer-actor.c' || echo '$(srcdir)/'`test-layer-actor.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-layer-actor.Tpo $(DEPDIR)/test_clutk-test-layer-actor.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-layer-actor.c' object='test_clutk-test-layer-actor.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-layer-actor.o `test -f 'test-layer-actor.c' || echo '$(srcdir)/'`test-layer-actor.c

test_clutk-test-layer-actor.obj: test-layer-actor.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-layer-actor.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-layer-actor.Tpo -c -o test_clutk-test-layer-actor.obj `if test -f 'test-layer-actor.c'; then $(CYGPATH_W) 'test-layer-actor.c'; else $(CYGPATH_W) '$(srcdir)/test-layer-actor.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-layer-actor.Tpo $(DEPDIR)/test_clutk-test-layer-actor.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-layer-actor.c' object='test_clutk-test-layer-actor.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-layer-actor.obj `if test -f 'test-layer-actor.c'; then $(CYGPATH_W) 'test-layer-actor.c'; else $(CYGPATH_W) '$(srcdir)/test-layer-actor.c'; fi`

test_clutk-test-menu.o: test-menu.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-menu.o -MD -MP -MF $(DEPDIR)/test_clutk-test-menu.Tpo -c -o test_clutk-test-menu.o `test -f 'test-menu.c' || echo '$(srcdir)/'`test-menu.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-menu.Tpo $(DEPDIR)/test_clutk-test-menu.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-menu.c' object='test_clutk-test-menu.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-menu.o `test -f 'test-menu.c' || echo '$(srcdir)/'`test-menu.c

test_clutk-test-menu.obj: test-menu.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-menu.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-menu.Tpo -c -o test_clutk-test-menu.obj `if test -f 'test-menu.c'; then $(CYGPATH_W) 'test-menu.c'; else $(CYGPATH_W) '$(srcdir)/test-menu.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-menu.Tpo $(DEPDIR)/test_clutk-test-menu.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-menu.c' object='test_clutk-test-menu.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-menu.obj `if test -f 'test-menu.c'; then $(CYGPATH_W) 'test-menu.c'; else $(CYGPATH_W) '$(srcdir)/test-menu.c'; fi`

test_clutk-test-render-target.o: test-render-target.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-render-target.o -MD -MP -MF $(DEPDIR)/test_clutk-test-render-target.Tpo -c -o test_clutk-test-render-target.o `test -f 'test-render-target.c' || echo '$(srcdir)/'`test-render-target.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-render-target.Tpo $(DEPDIR)/test_clutk-test-render-target.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-render-target.c' object='test_clutk-test-render-target.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-render-target.o `test -f 'test-render-target.c' || echo '$(srcdir)/'`test-render-target.c

test_clutk-test-render-target.obj: test-render-target.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-render-target.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-render-target.Tpo -c -o test_clutk-test-render-target.obj `if test -f 'test-render-target.c'; then $(CYGPATH_W) 'test-render-target.c'; else $(CYGPATH_W) '$(srcdir)/test-render-target.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-render-target.Tpo $(DEPDIR)/test_clutk-test-render-target.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-render-target.c' object='test_clutk-test-render-target.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-render-target.obj `if test -f 'test-render-target.c'; then $(CYGPATH_W) 'test-render-target.c'; else $(CYGPATH_W) '$(srcdir)/test-render-target.c'; fi`

test_clutk-test-surface-blur.o: test-surface-blur.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-surface-blur.o -MD -MP -MF $(DEPDIR)/test_clutk-test-surface-blur.Tpo -c -o test_clutk-test-surface-blur.o `test -f 'test-surface-blur.c' || echo '$(srcdir)/'`test-surface-blur.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-surface-blur.Tpo $(DEPDIR)/test_clutk-test-surface-blur.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-surface-blur.c' object='test_clutk-test-surface-blur.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-surface-blur.o `test -f 'test-surface-blur.c' || echo '$(srcdir)/'`test-surface-blur.c

test_clutk-test-surface-blur.obj: test-surface-blur.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk-test-surface-blur.obj -MD -MP -MF $(DEPDIR)/test_clutk-test-surface-blur.Tpo -c -o test_clutk-test-surface-blur.obj `if test -f 'test-surface-blur.c'; then $(CYGPATH_W) 'test-surface-blur.c'; else $(CYGPATH_W) '$(srcdir)/test-surface-blur.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk-test-surface-blur.Tpo $(DEPDIR)/test_clutk-test-surface-blur.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-surface-blur.c' object='test_clutk-test-surface-blur.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk-test-surface-blur.obj `if test -f 'test-surface-blur.c'; then $(CYGPATH_W) 'test-surface-blur.c'; else $(CYGPATH_W) '$(srcdir)/test-surface-blur.c'; fi`

test_clutk_perf-test-clutk-perf.o: test-clutk-perf.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_perf_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk_perf-test-clutk-perf.o -MD -MP -MF $(DEPDIR)/test_clutk_perf-test-clutk-perf.Tpo -c -o test_clutk_perf-test-clutk-perf.o `test -f 'test-clutk-perf.c' || echo '$(srcdir)/'`test-clutk-perf.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk_perf-test-clutk-perf.Tpo $(DEPDIR)/test_clutk_perf-test-clutk-perf.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-clutk-perf.c' object='test_clutk_perf-test-clutk-perf.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_perf_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk_perf-test-clutk-perf.o `test -f 'test-clutk-perf.c' || echo '$(srcdir)/'`test-clutk-perf.c

test_clutk_perf-test-clutk-perf.obj: test-clutk-perf.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_perf_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk_perf-test-clutk-perf.obj -MD -MP -MF $(DEPDIR)/test_clutk_perf-test-clutk-perf.Tpo -c -o test_clutk_perf-test-clutk-perf.obj `if test -f 'test-clutk-perf.c'; then $(CYGPATH_W) 'test-clutk-perf.c'; else $(CYGPATH_W) '$(srcdir)/test-clutk-perf.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk_perf-test-clutk-perf.Tpo $(DEPDIR)/test_clutk_perf-test-clutk-perf.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-clutk-perf.c' object='test_clutk_perf-test-clutk-perf.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_perf_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk_perf-test-clutk-perf.obj `if test -f 'test-clutk-perf.c'; then $(CYGPATH_W) 'test-clutk-perf.c'; else $(CYGPATH_W) '$(srcdir)/test-clutk-perf.c'; fi`

test_clutk_text-test-clutk-text.o: test-clutk-text.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_text_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk_text-test-clutk-text.o -MD -MP -MF $(DEPDIR)/test_clutk_text-test-clutk-text.Tpo -c -o test_clutk_text-test-clutk-text.o `test -f 'test-clutk-text.c' || echo '$(srcdir)/'`test-clutk-text.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk_text-test-clutk-text.Tpo $(DEPDIR)/test_clutk_text-test-clutk-text.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-clutk-text.c' object='test_clutk_text-test-clutk-text.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_text_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk_text-test-clutk-text.o `test -f 'test-clutk-text.c' || echo '$(srcdir)/'`test-clutk-text.c

test_clutk_text-test-clutk-text.obj: test-clutk-text.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_text_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_clutk_text-test-clutk-text.obj -MD -MP -MF $(DEPDIR)/test_clutk_text-test-clutk-text.Tpo -c -o test_clutk_text-test-clutk-text.obj `if test -f 'test-clutk-text.c'; then $(CYGPATH_W) 'test-clutk-text.c'; else $(CYGPATH_W) '$(srcdir)/test-clutk-text.c'; fi`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/test_clutk_text-test-clutk-text.Tpo $(DEPDIR)/test_clutk_text-test-clutk-text.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test-clutk-text.c' object='test_clutk_text-test-clutk-text.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_clutk_text_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_clutk_text-test-clutk-text.obj `if test -f 'test-clutk-text.c'; then $(CYGPATH_W) 'test-clutk-text.c'; else $(CYGPATH_W) '$(srcdir)/test-clutk-text.c'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-local
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: check-am install-am install-strip

.PHONY: CTAGS GTAGS all all-am check check-am check-local clean \
	clean-checkPROGRAMS clean-generic clean-libtool ctags \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am


#run make test as part of make check
check-local: test
test:
	@gtester -k -o=test-clutk-results.xml ./test-clutk

test-perf:
	@gtester -k -o=test-clutk-perf-results.xml ./test-clutk-perf

.PHONY: check-report full-report
check-report:
	@gtester -k -o=test-clutk-results.xml -k ./test-clutk \
		&& ( gtester-report test-clutk-results.xml \
				| sed 's/GTester Unit Test Report</>GTester Unit Test Report (normal)</' \
				> test-clutk-results.html ) \
		&& gnome-open ./test-clutk-results.html

full-report:
		@gtester -k -o=test-clutk-results.xml -k -m=slow ./test-clutk \
	  && ( gtester-report test-clutk-results.xml \
	      | sed 's/>GTester Unit Test Report</>GTester Unit Test Report (normal)</' \
	      > test-clutk-results.html )
# call as: $(XVFB_START) && someprogram

.PHONY: check-headless
check-headless:
	@$(XVFB_START) && gtester -k -o=test-clutk-results.xml ./test-clutk

clean-generic:
	rm -f test-clutk-results.xml test-clutk-results.html test-surface-blur-after.png test-surface-blur-before.png

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
